aboutsummaryrefslogtreecommitdiffstats
path: root/mayor-installer/mayor-installer-for-fcgi/setup
diff options
context:
space:
mode:
authorM.Gergo2019-03-08 20:50:48 +0100
committerM.Gergo2019-03-08 20:50:48 +0100
commit3dab26c6797b32926287f22a041380080551060b (patch)
treebb4ba41398083a054e956e25f2d8c72bcdd0a7a0 /mayor-installer/mayor-installer-for-fcgi/setup
parentf70027ffbedce10f412868a7bf9b0b67b113f1b1 (diff)
downloadmayor-3dab26c6797b32926287f22a041380080551060b.tar.gz
mayor-3dab26c6797b32926287f22a041380080551060b.zip
pici rendrakás
Diffstat (limited to 'mayor-installer/mayor-installer-for-fcgi/setup')
-rwxr-xr-xmayor-installer/mayor-installer-for-fcgi/setup48
1 files changed, 48 insertions, 0 deletions
diff --git a/mayor-installer/mayor-installer-for-fcgi/setup b/mayor-installer/mayor-installer-for-fcgi/setup
new file mode 100755
index 00000000..0c523a89
--- /dev/null
+++ b/mayor-installer/mayor-installer-for-fcgi/setup
@@ -0,0 +1,48 @@
+#!/bin/bash
+clear
+echo "-------------------------------------------"
+echo " MaYoR Setup "
+echo "-------------------------------------------"
+
+MAYORDIR="/var/mayor"
+TMPDIR="/tmp"
+MYSQLROOTPW=""
+VERSION="current"
+export MAYORDIR
+export TMPDIR
+export MYSQLROOTPW
+export VERSION
+export MAYORUSER="mayor-web"
+
+echo -e "A MaYoR keretrendszer és elektronikus napló telepítője a továbbiakban
+több lépésben, az egyes lépésekre jóváhagyást kérve fogja végrehajtani a
+telepítés és konfigurálás lépéseit.
+
+A telepítő egy tipikus telepítés esetén alkalmazható, speciális igények esetén
+célszerűbb az egyes lépéseket a telepítési útmutató alapján manuálisan végezni.
+
+Lehetőség van a Mayor, az apache2 úgynevezett mod_uexec/mod_fcgi alá történő telepítésére is.\n"
+
+read -n 1 -p "Folytatja? (i/N)" -s DO
+if [ "$DO" != "i" ]; then echo " ok, kiléptem..."; exit 1; fi
+echo -e "\n"
+
+read -n 1 -p "Telepítés: (H)agyományos vagy (F)cgi/suexec-módban? (s/H)" -s DO
+if [ "$DO" != "h" ]; then echo " ok, mod_Suexec/mod_fcgid használata."
+ installer="fcgi_install.d"
+ export MAYORDIR="/home/$MAYORUSER/mayor"
+else
+ installer="install.d"
+ echo " ok, Hagyományos módon."; fi
+ echo -e "\n"
+
+
+
+for f in $installer/*
+do
+ echo -e "\n----------------------------------------------\n$f\nMAYORDIR:$MAYORDIR\nMAYORUSER:$MAYORUSER\n----------------------------------------------\n"
+ ./$f $@
+ if [ "$?" == 255 ]; then echo "Fatális hiba! A telepítő kilép."; exit 255; fi;
+done
+
+echo -e "MaYoR (c) setup\n"